Subject: Re: [PATCH v2 0/3] Teach fetch and pull to recursively fetch submodules too

From: Jens Lehmann <[email-masked]>
Date: Sat, 09 Oct 2010 21:28:57 +0200

Am 07.10.2010 01:22, schrieb Jonathan Nieder:
> Kevin Ballard wrote:
> 
>> After thinking on it a bit, I think the best solution is to add a switch
>> --submodules to fetch which will also fetch all submodules, but otherwise
>> fetch will fetch no submodules.
> 
> For what it's worth, for my (odd) use cases, what would be most practical
> is
> 
> 	[remote "foo"]
> 		fetch = ...
> 		submodules = ...
> 
> I could care less about the defaults. :)
> 
> Rationale: I shouldn't have to explicitly use --submodules to get
> everything I need to hack before dropping connectivity,

Ack.

> but I also
> don't want to pay the penalty of fetching, say, git-gui when I don't
> need it.

I'm not sure I understand your setup, do you want to configure that for
each remote or for each submodule? Because you can already do the latter
with my patches. And configuring that via .gitmodules has the advantage
that every clone inherits that setting instead of having to set the
options for the remote again after each clone.